<?php

namespace App\Core\Validator\User;

use App\Core\Repository\User\UserRepository;
use Illuminate\Contracts\Container\Container;
use Illuminate\Contracts\Translation\Translator;

use App\Core\Validator\BaseValidator;

use Exception;

class UserLoginValidator extends BaseValidator
{
    private $userRepository;

    public function __construct
    (
        UserRepository $userRepository,
        Translator $translator,
        Container $container
    )
    {
        parent::__construct($translator, $container);
        $this->userRepository = $userRepository;
    }

    public function rules($params = null)
    {
        return
            [
                'email' => 'required|email',
                'password' => 'required'
            ];


    }

    public function messages()
    {
        $thisMessages = [];
        return array_merge(parent::messages() , $thisMessages);
    }

    public function validate(array $params, array $rules = [], array $messages = [], array $customAttributes = [])
    {
        return $this->make($params, $this->rules($params), $this->messages());
    }

}
